PHP ��U
前一頁 |  | 下一頁

# pg_field_size

(PHP 4 >= 4.2.0, PHP 5)

pg_field_size -- Returns the internal storage size of the named field

## Description

int pg_field_size ( resource result, int field_number )

pg_field_size() returns the internal storage size (in bytes) of the field number in the given PostgreSQL result.

> 注: This function used to be called pg_fieldsize().

## Parameters

result

  PostgreSQL query result resource, returned by pg_query(), pg_query_params() or pg_execute() (among others).

field_number

  Field number, starting from 0.

## Return Values

The internal field storage size (in bytes). -1 indicates a variable length field. `FALSE` is returned on error.

## �d��

範例 1. Getting information about fields

`<?php
$dbconn = pg_connect("dbname=publisher") or die("Could not connect");
$res = pg_query($dbconn, "select * from authors where author = 'Orwell'");
$i = pg_num_fields($res);
for ($j = 0; $j < $i; $j++) {
echo "column $j\n";
$fieldname = pg_field_name($res, $j);
echo "fieldname: $fieldname\n";
echo "printed length: " . pg_field_prtlen($res, $fieldname) . " characters\n";
echo "storage length: " . pg_field_size($res, $j) . " bytes\n";
echo "field type: " . pg_field_type($res, $j) . " \n\n";
}
?>`

The above example will output:

    column 0
    fieldname: author
    printed length: 6 characters
    storage length: -1 bytes
    field type: varchar

    column 1
    fieldname: year
    printed length: 4 characters
    storage length: 2 bytes
    field type: int2

    column 2
    fieldname: title
    printed length: 24 characters
    storage length: -1 bytes
    field type: varchar

## �Ѧ�

pg_field_prtlen()
pg_field_type()

前一頁 | 內容 | 下一頁
pg_field_prtlen | 上一層 | pg_field_table